com.ibm.openpages.api.respview

## Class RespViewList

- java.lang.Object
- - com.ibm.openpages.api.respview.RespViewList

- All Implemented Interfaces:
    java.io.Serializable

      public class RespViewList
      extends java.lang.Object
      implements java.io.Serializable

  Represents the responsive view query result.
  Since:
    8.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RespViewList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IRespView>` | `getRespViews()` Returns the list of responsive views being fetched
    `int` | `getTotalResultCount()` Returns the total count of the result.
    `void` | `setRespViews(java.util.List<IRespView> respViews)` Assigns the list of responsive views being fetched
    `void` | `setTotalResultCount(int totalResultCount)` Assigns the total cound of the result.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RespViewList

          public RespViewList()

  - ### Method Detail

    - #### getRespViews

          public java.util.List<IRespView> getRespViews()

      Returns the list of responsive views being fetched
      Returns:

    - #### setRespViews

          public void setRespViews(java.util.List<IRespView> respViews)

      Assigns the list of responsive views being fetched
      Parameters:
        `dashboards` -

    - #### getTotalResultCount

          public int getTotalResultCount()

      Returns the total count of the result. Note that it may not match the size of `getRespViews()` when the paging is enabled
      Returns:

    - #### setTotalResultCount

          public void setTotalResultCount(int totalResultCount)

      Assigns the total cound of the result.
      Parameters:
        `totalResultCount` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.